package com.gamedog.vididin.features.withdrawrecord


import com.ama.core.architecture.appBase.vm.AppViewModel
import com.gamedog.vididin.beans.RecordCash
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.flowOf
import javax.inject.Inject
import com.gamedog.vididin.features.withdrawrecord.RecordCashUiState as UiState


@HiltViewModel
class RecordCashViewModel @Inject constructor() : AppViewModel<UiState>() {
    override val uiStateInitialValue: UiState = UiState()
    override val uiStateFlow: Flow<UiState> = flowOf()


}

data class RecordCashUiState(
    val mRecordList: MutableList<RecordCash> = mutableListOf()
)